package Element;

import java.io.Serializable;

public class UserPreference implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private int price, brand, activity, colorful, splendor;
	
	public UserPreference(){}
	private String style="Dandy";
	private String season = null;
	private String weather = null;
	
	public UserPreference(int price, int brand, int activity,int colorful,int splendor){
		this.price = price;
		this.brand = brand;
		this.activity = activity;
		this.colorful = colorful;
		this.splendor = splendor;
	}
	public void setPriceValue(int n){
		this.price = n;
	}
	public void setBrandValue(int n){
		this.brand = n;
	}
	public void setActivityValue(int n){
		this.activity = n;
	}
	public void setColorfulValue(int n){
		this.colorful = n;
	}
	public void setSplendorValue(int n){
		this.splendor = n;
	}
	
	
	public int getPriceValue(){
		return this.price;
	}
	public int getBrandValue(){
		return this.brand;
	}
	public int getActivityValue(){
		return this.activity;
	}
	public int getColorfulValue(){
		return this.colorful;
	}
	public int  getSplendorValue(){
		return this.splendor;
	}
	
	
	public void setStyle(String style){
		this.style =(String)style;
	}
	public String getStyle(){
		return this.style;
	}
	public UserPreference makeClone(){
		UserPreference up = new UserPreference(this.price , this.brand, this.activity,this.colorful,this.splendor);
		return up;
	}
	
	public void setSeanson(String str){
		this.season = str;
	}
	
	public void setWeather(String str){
		this.weather = str;
	}
	
	
	public String getWeather(){
		return this.weather;
	}
	
	public String getSeason(){
		return this.season;
	}
	
	
	public void printValues(){
		System.out.println("price :"+ this.price);
		System.out.println("brand :"+ this.brand);
		System.out.println("activity :"+ this.activity);
		System.out.println("colorful :"+ this.colorful);
		System.out.println("splendor :"+ this.splendor);
		System.out.println("style :"+ this.style);
		System.out.println("season :"+ this.season);
		System.out.println("weather :"+ this.weather);
	}
}
