package Handlers;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import UI_Frames.FrameSelection;
import UI_Panels.PanelLook;

public class LookListener implements ActionListener{
	private FrameSelection selectionFrame;
	private PanelLook lookPanel;
	
	public LookListener(FrameSelection selectionFrame, PanelLook lookPanel){
		this.selectionFrame = selectionFrame;
		this.lookPanel = lookPanel;
	}
	public void actionPerformed(ActionEvent e) {
		Object o = e.getSource();
		
		if(o == this.lookPanel.tglButtons[0]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Military");
		}else if(o == this.lookPanel.tglButtons[1]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Sport");
		}else if(o == this.lookPanel.tglButtons[2]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Baggi");
		}else if(o == this.lookPanel.tglButtons[3]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Nippon");
		}else if(o == this.lookPanel.tglButtons[4]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Hiphop");
		}else if(o == this.lookPanel.tglButtons[5]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Ohme");
		}else if(o == this.lookPanel.tglButtons[6]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Casual");
		}else if(o == this.lookPanel.tglButtons[7]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Vintage");
		}else if(o == this.lookPanel.tglButtons[8]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Skinee");
		}else if(o == this.lookPanel.tglButtons[9]){
			this.selectionFrame.panelSelection.pentagon.UPr.setStyle("Dandy");
		}else if(o == this.lookPanel.bt_send){
			this.selectionFrame.st.sendUserPrf(this.selectionFrame.panelSelection.pentagon.UPr);
		}else if(o == this.lookPanel.chk_season){
			if(this.lookPanel.chk_season.isSelected()){
				this.selectionFrame.panelSelection.pentagon.UPr.setSeanson(
						(String)this.lookPanel.cb_season.getSelectedItem());
			}else{
				this.selectionFrame.panelSelection.pentagon.UPr.setSeanson(null);
			}
		}else if(o == this.lookPanel.chk_whether){
			if(this.lookPanel.chk_whether.isSelected()){
				this.selectionFrame.panelSelection.pentagon.UPr.setWeather(
						(String)this.lookPanel.cb_whether.getSelectedItem());
			}else{
				this.selectionFrame.panelSelection.pentagon.UPr.setWeather(null);
			}
		}
		this.selectionFrame.panelSelection.pentagon.UPr.printValues();
	}

}
