package UI_Frames;

import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;

import Element.RssPackage;
import UI_Panels.PanelNews;

public class FrameAddRSS extends JFrame  implements ActionListener{

	private static final long serialVersionUID = 1L;
	private PanelNews panelNews;
	private JTextField tf_siteName,tf_siteLink;
	private JLabel lb_siteName,lb_siteLink;
	private JButton bt_cancel,bt_add;
	
	public FrameAddRSS(PanelNews panelNews){
		this.panelNews = panelNews;
		this.sub();
	}
	
	public FrameAddRSS(){
		this.sub();
	}
	
	private void sub(){
		this.setBounds(new Rectangle(600,200,350,200));
		this.setLayout(null);
		
		lb_siteName = new JLabel("Site :");
		lb_siteLink = new JLabel("Link :");
		lb_siteName.setBounds(new Rectangle(20,20,50,25));
		lb_siteLink.setBounds(new Rectangle(20,55,50,25));
		
		tf_siteName = new JTextField();
		tf_siteLink = new JTextField();
		tf_siteName.setBounds(new Rectangle(60,20,260,25));
		tf_siteLink.setBounds(new Rectangle(60,55,260,25));
		
		bt_cancel = new JButton("    ");
		bt_add = new JButton("  Ȯ  ");
		bt_cancel.setBounds(new Rectangle(20,100,140,25));
		bt_add.setBounds(new Rectangle(180,100,140,25));
		
		this.add(lb_siteName);
		this.add(lb_siteLink);
		this.add(tf_siteName);
		this.add(tf_siteLink);
		this.add(bt_cancel);
		this.add(bt_add);
		
		bt_cancel.addActionListener(this);
		bt_add.addActionListener(this);
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		this.setVisible(true);
	}
	
	public void actionPerformed(ActionEvent e) {
		Object o = e.getSource();
		if(o == this.bt_add){
			if(!this.tf_siteLink.getText().equals("") && !this.tf_siteName.getText().equals("")){
				if(this.panelNews != null){
					RssPackage rp = new RssPackage(tf_siteName.getText(),tf_siteLink.getText());
					this.panelNews.addRss(rp);
					this.dispose();
				}
			}
		}else if(o == this.bt_cancel){
			this.dispose();
		}
		
	}

	public static void main(String args[]){
		new FrameAddRSS();
	}

	
}
