package UI_Frames;

import java.awt.Dimension;
import java.awt.Image;
import java.awt.Point;
import java.awt.Rectangle;
import javax.swing.JFrame;
import Handlers.DisplayFrameListener;
import UI_Panels.PanelDisplay;

public class FrameDisplay extends JFrame  {

	private static final long serialVersionUID = 1L;
	public PanelDisplay displayPanel;
	public Image[] imageArr;
	public FrameSelection selectionFrame;
	
	public FrameDisplay(FrameSelection selectionFrame) {
		super("display");
		this.selectionFrame = selectionFrame;
		
		this.sub();
	}

	public void sub() {
		this.setSize(new Dimension(700, 613));
		this.setLocation(new Point(120, 100));
		this.setLayout(null);
		this.addWindowListener(new DisplayFrameListener(selectionFrame,this));
		this.setResizable(false);
		this.setVisible(true);

		this.displayPanel = new PanelDisplay(this);
		displayPanel.setBounds(new Rectangle(0,0,700,613));
		this.add(displayPanel);
	}


	
}
