package UI_Panels;

import java.awt.Rectangle;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import Handlers.SelectionListener;
import UI_Frames.FrameSelection;

public class PanelSelection extends JPanel{

	private static final long serialVersionUID = 1L;

	public PanelPentagon pentagon;

	public JButton send;

	@SuppressWarnings("unused")
	public FrameSelection selectionFrame;

	public PanelLook lookPanel;
	
	private JLabel lb_price, lb_brand, lb_activity, lb_colorful, lb_splendor;

	public PanelSelection(FrameSelection selectionFrame) {
		this.setLayout(null);
		//this.setBackground(Color.white);
		this.selectionFrame = selectionFrame;
		
		pentagon = new PanelPentagon();
		//pentagon.setBackground(Color.black);
		pentagon.setBounds(new Rectangle(0, 5, 300, 235));
			
		lb_price = new JLabel("Price");
		lb_price.setBounds(new Rectangle(137,5,40,20));
		pentagon.add(lb_price);
		
		lb_brand = new JLabel("Brand");
		lb_brand.setBounds(new Rectangle(10,87,40,20));
		pentagon.add(lb_brand);
		
		lb_activity = new JLabel("Activity");
		lb_activity.setBounds(new Rectangle(255,87,40,20));
		pentagon.add(lb_activity);
		
		lb_colorful = new JLabel("Colorful");
		lb_colorful.setBounds(new Rectangle(35,205,45,20));
		pentagon.add(lb_colorful);
		
		lb_splendor = new JLabel("Splendor");
		lb_splendor.setBounds(new Rectangle(220,205,50,20));
		pentagon.add(lb_splendor);
		
		this.add(pentagon);
		
		this.lookPanel = new PanelLook(selectionFrame);
		lookPanel.setBounds(52, 230, 200, 325);
		this.add(lookPanel);

		send = new JButton("send");
		send.setBounds(new Rectangle(55, 310, 40, 30));
		this.add(send);
		send.addActionListener(new SelectionListener(this,this.selectionFrame));
		
	}

	
}
