package UI;



import java.awt.Color;
import java.awt.Font;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.io.File;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFileChooser;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.border.TitledBorder;
import javax.swing.table.DefaultTableModel;



import DB.DBProcess;
import Main.MainFrame;

import com.mysql.jdbc.ResultSetMetaData;




public class ValueTab extends JPanel {
	private static final long serialVersionUID = 1L;
	private MainFrame mf;
	private JTable table;
	private DefaultTableModel dtm;
	private JScrollPane sp,sp2;
	@SuppressWarnings("unused")
	private DBProcess dp;
	@SuppressWarnings("unused")
	private Connection con;
	

	private JFileChooser jfc;


	private Statement stmt;
	private ResultSet rs;
	private ResultSetMetaData rsm;
	private String sql;
	private JPanel inputPanel;
	private String[] style={"Dandy","Military","Sport","Baggi","Japan",
			                "Skinee","Hiphop","Ohme","Casual","vintage"};
	private String[] point={"1","2","3","4","5","6","7","8","9","10"};
	private String[] season={"spring","summer","autumn","winter"};
	private String[] weather={"sunny","cloudy","rainy","snowy"};
	private String[] section={"top","bottom","acc"};
	private String styleV,utilityV,priceV,brandV,splendorV,colorfulV,seasonV,weatherV,sectionV,
					imgV,siteV,featureV;
	private JComboBox styleCombobox,utilityCombobox,priceCombobox,brandCombobox,splendorCombobox,
						colorfulCombobox,seasonCombobox,weatherCombobox,sectionCombobox;
	private JLabel styleLabel,utilityLabel,priceLabel,brandLabel,splendorLabel,colorfulLabel
						,seasonLabel,weatherLabel,sectionLabel,imgLabel,siteLabel,featureLabel;
	private JTextField imgUrl,siteUrl;
	private JTextArea featureText;
	private JButton btn[] = new JButton[5];
	private String tNum,fileUrl;
 	private int row;
 	
	private String path="C:/Documents and Settings/admin/ ȭ/ڵ_ServerV0.4/images";
 	
	public ValueTab(){
		this.setLayout(null);
		this.setBackground(Color.yellow);
		setDesign();
		
	}
	
	
	
	
	public void setQuery(){
		int num=0;
		dtm.setRowCount(0);
		dtm.setColumnCount(0);
		try{
			rs = stmt.executeQuery(sql);
			rsm = (ResultSetMetaData) rs.getMetaData();
			num = rsm.getColumnCount();
			String data[] = new String[num];
			
			
			for(int i=1;i<num+1;i++){
				dtm.addColumn(rsm.getColumnName(i));
			}
			while(rs.next()){
				for(int i=1;i<num+1;i++){
					
					data[i-1] = rs.getString(i);
					
				}
				
				dtm.addRow(data);
			}
		}catch(SQLException se){
			System.out.println(se.getMessage());
			//se.printStackTrace();
		}
		
	}
	public void setExcute(){
		try{
			if((sql != null)&&(!(sql.equals("select * from product_values")))){
				stmt.executeUpdate(sql);
			}
			sql = "select * from product_values";
			setQuery();
		}catch(SQLException se){
			//se.printStackTrace();
			System.out.println(se.getMessage());
		}
		
	}
	public class BtnEvent implements ActionListener{
		
		
		public void actionPerformed(ActionEvent ae) {
			JButton obj = (JButton) ae.getSource();
			styleV = (String) styleCombobox.getSelectedItem();
			utilityV = (String) utilityCombobox.getSelectedItem();
			priceV = (String) priceCombobox.getSelectedItem();
			brandV = (String) brandCombobox.getSelectedItem();
			splendorV = (String) splendorCombobox.getSelectedItem();
			colorfulV = (String) colorfulCombobox.getSelectedItem();
			seasonV = (String) seasonCombobox.getSelectedItem();
			weatherV = (String) weatherCombobox.getSelectedItem();
			sectionV = (String) sectionCombobox.getSelectedItem();
			imgV = imgUrl.getText();
			siteV = siteUrl.getText();
			featureV = featureText.getText();
			if(obj == btn[0]){
				sql = "insert into product_values " 
					    +"(section,style,utility,price,"
						+"brand,splendor,colorful,season,weather,img,site,feature)"+
						"values"+"(\""+sectionV+"\",\""+styleV+"\","+utilityV+","+priceV
				+","+brandV+","+splendorV+","+colorfulV+",\""+seasonV+"\",\""+weatherV+"\"" +
						",\""+imgV+"\",\""+siteV+"\",\""+featureV+"\")";
				setExcute();
			}
			else if(obj==btn[1]){
				int a = JOptionPane.showConfirmDialog(ValueTab.this,"Ͻ"+tNum+" ڷḦ Ͻðڽϱ?",
						"Ȯ",JOptionPane.YES_NO_OPTION,JOptionPane.QUESTION_MESSAGE);
				if(a==JOptionPane.YES_OPTION){
					sql = "delete from product_values where num="+tNum;
					setExcute();
				}
			}
			else if(obj==btn[2]){
				int a = JOptionPane.showConfirmDialog(ValueTab.this,"Ͻ"+tNum+" ڷḦ Ͻðڽϱ?",
						"Ȯ",JOptionPane.YES_NO_OPTION,JOptionPane.QUESTION_MESSAGE);
				if(a==JOptionPane.YES_OPTION){
					sql = "update product_values set section='"+sectionV+"',style='"+
					styleV+"',utility='"+utilityV+"',price='"+priceV+"',brand='"+
					brandV+"',splendor='"+splendorV+"',colorful='"+colorfulV+"',season='"+
					seasonV+"',weather='"+weatherV+"',img='"+imgV+"',site='"+
					siteV+"',feature='"+featureV+"' where num="+tNum;
					 
					setExcute();
				}
			}
			else if(obj==btn[3]){
				
				//setQuery();
				setExcute();
				
				
			}
			
			else if(obj==btn[4]){
				setFileUrl();
			}
			
		}
		
	}
	public class tableEvent extends MouseAdapter{
		public void mouseClicked(MouseEvent me){
			row = table.getSelectedRow();
			tNum = table.getValueAt(row, 0).toString();
			
			
		}
	}
	public void setFileUrl(){
		jfc = new JFileChooser(new File(path));
		jfc.showOpenDialog(mf);
		File file = jfc.getSelectedFile();
		if(file == null){}
		else{
			fileUrl = jfc.getSelectedFile().getPath();
			fileUrl = fileUrl.replace("\\", "/");
			//System.out.println(fileUrl.length());
			fileUrl = fileUrl.substring(53);
			//System.out.println("fileUrl" + fileUrl);
			imgUrl.setText(fileUrl);
			
			//System.out.println(fileUrl);
		}
	}
	
	public void setDesign(){
		String col[] = {"ȣ","","Ÿ","Ȱ뼺","","ǥ","ȭ","","",
				"","̹","Ʈ","Ư¡","α⵵"};
		dtm = new DefaultTableModel(col,20);
		table = new JTable(dtm);
		sp = new JScrollPane(table);
		inputPanel = new JPanel();
		table.addMouseListener(new tableEvent());
		sp.setBounds(new Rectangle(0,0,1015,400));
		this.add(sp);
		inputPanel.setBorder(BorderFactory.createTitledBorder(null, "input", TitledBorder.DEFAULT_JUSTIFICATION, TitledBorder.DEFAULT_POSITION, new Font("Arial Black", Font.PLAIN, 12), new Color(51, 51, 51)));
		inputPanel.setBounds(new Rectangle(0,400,1015,140));
		inputPanel.setLayout(null);
		
		featureLabel = new JLabel();
		featureLabel.setBounds(new Rectangle(825, 15, 28, 18));
		featureLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		featureLabel.setText("Ư¡");
		siteLabel = new JLabel();
		siteLabel.setBounds(new Rectangle(555, 60, 38, 18));
		siteLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		siteLabel.setText("Ʈ");
		imgLabel = new JLabel();
		imgLabel.setBounds(new Rectangle(555, 30, 38, 18));
		imgLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		imgLabel.setText("̹");
		sectionLabel = new JLabel();
		sectionLabel.setBounds(new Rectangle(30, 30, 28, 18));
		sectionLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		sectionLabel.setText("");
		weatherLabel = new JLabel();
		weatherLabel.setBounds(new Rectangle(420, 60, 26, 18));
		weatherLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		weatherLabel.setText("");
		seasonLabel = new JLabel();
		seasonLabel.setBounds(new Rectangle(420, 30, 26, 18));
		seasonLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		seasonLabel.setText("");
		colorfulLabel = new JLabel();
		colorfulLabel.setBounds(new Rectangle(300, 90, 26, 18));
		colorfulLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		colorfulLabel.setText("");
		splendorLabel = new JLabel();
		splendorLabel.setBounds(new Rectangle(300, 60, 38, 18));
		splendorLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		splendorLabel.setText("ȭ");
		brandLabel = new JLabel();
		brandLabel.setBounds(new Rectangle(300, 30, 26, 18));
		brandLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		brandLabel.setText("ǥ");
		priceLabel = new JLabel();
		priceLabel.setBounds(new Rectangle(150, 90, 28, 18));
		priceLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		priceLabel.setText("");
		utilityLabel = new JLabel();
		utilityLabel.setBounds(new Rectangle(150, 60, 38, 18));
		utilityLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		utilityLabel.setText("Ȱ뼺");
		styleLabel = new JLabel();
		styleLabel.setBounds(new Rectangle(150, 30, 38, 18));
		styleLabel.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		styleLabel.setText("Ÿ");
		
		btn[0] = new JButton();
		btn[0].setBounds(new Rectangle(536, 109, 116, 22));
		btn[0].setMnemonic(KeyEvent.VK_UNDEFINED);
		btn[0].setText("߰");
		btn[0].addActionListener(new BtnEvent());
		
		btn[1] = new JButton();
		btn[1].setBounds(new Rectangle(656, 109, 116, 22));
		btn[1].setText("");
		btn[1].addActionListener(new BtnEvent());
		
		btn[2] = new JButton();
		btn[2].setBounds(new Rectangle(776, 110, 116, 22));
		btn[2].setText("");
		btn[2].addActionListener(new BtnEvent());
		
		btn[3] = new JButton();
		btn[3].setBounds(new Rectangle(896, 110, 116, 22));
		btn[3].setText("ȸ");
		btn[3].addActionListener(new BtnEvent());
		
		btn[4] = new JButton();
		btn[4].setBounds(new Rectangle(795, 30, 20, 18));
		btn[4].setText("...");
		btn[4].addActionListener(new BtnEvent());
		
		siteUrl = new JTextField();
		siteUrl.setBounds(new Rectangle(600, 60, 217, 17));
		siteUrl.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		imgUrl = new JTextField();
		imgUrl.setBounds(new Rectangle(600, 30, 194, 18));
		imgUrl.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		weatherCombobox = new JComboBox(weather);
		weatherCombobox.setBounds(new Rectangle(450, 60, 88, 17));
		weatherCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		seasonCombobox = new JComboBox(season);
		seasonCombobox.setBounds(new Rectangle(450, 30, 88, 18));
		seasonCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		brandCombobox = new JComboBox(point);
		brandCombobox.setBounds(new Rectangle(345, 30, 46, 16));
		brandCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		splendorCombobox = new JComboBox(point);
		splendorCombobox.setBounds(new Rectangle(345, 60, 46, 16));
		splendorCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		colorfulCombobox = new JComboBox(point);
		colorfulCombobox.setBounds(new Rectangle(345, 90, 46, 16));
		colorfulCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		styleCombobox = new JComboBox(style);
		styleCombobox.setBounds(new Rectangle(195, 30, 91, 16));
		styleCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		utilityCombobox = new JComboBox(point);
		utilityCombobox.setBounds(new Rectangle(240, 60, 46, 16));
		utilityCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		priceCombobox = new JComboBox(point);
		priceCombobox.setBounds(new Rectangle(240, 90, 46, 16));
		priceCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		sectionCombobox = new JComboBox(section);
		sectionCombobox.setBounds(new Rectangle(60, 30, 61, 16));
		sectionCombobox.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		
		featureText = new JTextArea();
		//featureText.setBounds(new Rectangle(825, 30, 181, 46));
		featureText.setColumns(10);
		featureText.setRows(10);
		featureText.setFont(new Font("\ub3cb\uc6c0", Font.PLAIN, 12));
		sp2 = new JScrollPane(featureText);
		sp2.setBounds(new Rectangle(825, 30, 181, 46));
		
		inputPanel.add(featureLabel);
		inputPanel.add(siteLabel);
		inputPanel.add(imgLabel);
		inputPanel.add(sectionLabel);
		inputPanel.add(weatherLabel);
		inputPanel.add(seasonLabel);
		inputPanel.add(colorfulLabel);
		inputPanel.add(splendorLabel);
		inputPanel.add(brandLabel);
		inputPanel.add(priceLabel);
		inputPanel.add(utilityLabel);
		inputPanel.add(styleLabel);
		inputPanel.add(btn[0]);
		inputPanel.add(btn[1]);
		inputPanel.add(btn[2]);
		inputPanel.add(btn[3]);
		inputPanel.add(btn[4]);
		inputPanel.add(siteUrl);
		inputPanel.add(imgUrl);
		inputPanel.add(weatherCombobox);
		inputPanel.add(seasonCombobox);
		inputPanel.add(brandCombobox);
		inputPanel.add(splendorCombobox);
		inputPanel.add(colorfulCombobox);
		inputPanel.add(styleCombobox);
		inputPanel.add(utilityCombobox);
		inputPanel.add(priceCombobox);
		inputPanel.add(sectionCombobox);
		inputPanel.add(sp2);
		this.add(inputPanel);
	}

	public void setMf(MainFrame mainFrame) {
		// TODO Auto-generated method stub
		this.mf = mainFrame;
	}

	public void getDbProcess(DBProcess dbProcess) {
		// TODO Auto-generated method stub
		this.dp = dbProcess;
		this.stmt = dbProcess.stmt;
		this.rs = dbProcess.rs;
		this.rsm = dbProcess.rsm;
		this.sql = dbProcess.sql;
	}

	
	

}
