package Element;

import java.awt.Image;
import java.awt.image.MemoryImageSource;
import java.awt.image.PixelGrabber;
import java.io.Serializable;

import javax.swing.JPanel;

public class Product implements Serializable{
	
	private static final long serialVersionUID = 1L;
	private Image image = null;
	private int[] imagePixel;
	private String feature;
	private String siteAddr;
	private String imagePath;
	int imageWidth;
	int imageHeight;
	private int type;
	private String style;
	private String section;
	private int utility;
	private int price;
	private int brand;
	private int splendor;
	private int colorful;
	private String season;
	private String weather;
	private String site;
	public int index;
	public int result;
	private int productNum;
	

	public Product(){
		
	}
	
	
	public void setProductNum(int num){this.productNum = num;}
	public int getProductNum(){return this.productNum;}
	
	public void setStyle(String str){this.style = str;}
	public String getStyle(){return this.style;}
	
	public void setSection(String str){this.section = str;}
	public String getSection(){return this.section;}
	
	public void setUtility(int i){this.utility = i;}
	public int getUtility(){return this.utility;}
	
	public void setPrice(int i){this.price = i;}
	public int getPrice(){return this.price;}
	
	public void setBrand(int i){this.brand = i;}
	public int getBrand(){return this.brand;}
	
	public void setSplendor(int i){this.splendor = i;}
	public int getSplendor(){return this.splendor;}
	
	public void setColorful(int i){this.colorful = i;}
	public int getColorful(){return this.colorful;}
	
	public void setSeason(String str){this.season = str;}
	public String getSeason(){return this.season;}
	
	public void setWeather(String str){this.weather = str;}
	public String getWeather(){return this.weather;}
	
	public void setSite(String str){this.site = str;}
	public String getSite(){return this.site;}
	


	public int[] getImagePixel(){
		return this.imagePixel;
	}
	
	public void setIamgePixe(int [] arr){
		this.imagePixel = arr;
	}
	
	public void setFeature(String feature){
		this.feature = (String)feature;
	}
	
	
	public String getSiteAddr(){
		return this.siteAddr;
	}
	
	
	public void setSiteAddr(String addr){
		this.siteAddr = (String)addr;
	}
	
	public String getFeature(){
		return this.feature;
	}
	
	public void setImage(Image image){
		this.image = image;
	}
	
	public Image getImage(){
		return this.image;
	}
	
	public void setType(int i){
		this.type = i;
	}
	
	public int getType(){
		return type;
	}
	
	public void setImagePath(String path){
		this.imagePath = path;
	}
	public String getImagePath(){
		return this.imagePath;
	}
	
	

	public void ImageToByte(){
		if(this.image == null){
			System.err.println("has not images");
		}else{
			imageWidth = this.image.getWidth(null);
			imageHeight = this.image.getHeight(null);
			this.imagePixel = new int[imageWidth * imageHeight]; // imagePixel
			PixelGrabber grabber = new PixelGrabber(this.image, 0, 0,
					imageWidth, imageHeight, this.imagePixel, 0, imageWidth);
			try {
				grabber.grabPixels();
				this.image = null;
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
	public void ByteToImage(JPanel panel){
		this.image = panel.createImage(new MemoryImageSource(this.imageWidth, 
				this.imageHeight, this.imagePixel, 0, this.imageWidth));
	}
	public void accUpf(UserPreference pf) {
		int r1 = this.brand - pf.getBrandValue();
		if(r1<0){
			r1 = -r1;
		}
		int r2 = this.colorful - pf.getColorfulValue();
		if(r2<0){
			r2 = -r2;
		}
		int r3 = this.price - pf.getPriceValue();
		if(r3<0){
			r3 = -r3;
		}
		int r4 = this.splendor - pf.getSplendorValue();
		if(r4<0){
			r4 = -r4;
		}
		int r5 = this.utility - pf.getActivityValue();
		if(r5<0){
			r5 = -r5;
		}
		
		this.result = r1+r2+r3+r4+r5;
		
	}
	
}
