package Element;

import java.awt.Image;
import java.awt.image.MemoryImageSource;
import java.awt.image.PixelGrabber;
import java.io.Serializable;

import javax.swing.JPanel;

public class RecentProduct implements Serializable{

	private static final long serialVersionUID = 1L;
	private Image image=null;
	private int[] imagePixel;
	private String site;
	private String imagePath;
	private int imageWidth;
	private int imageHeight;
	private int productNum;
	
	public RecentProduct(){
		
	}
	
	public void setProductNum(int num){this.productNum = num;}
	public int getProductNum(){return this.productNum;}
	
	public void setSite(String str){this.site = str;}
	public String getSite(){return this.site;}
	
	public int[] getImagePixel(){
		return this.imagePixel;
	}
	
	public void setIamgePixe(int [] arr){
		this.imagePixel = arr;
	}
	
	public void setImage(Image image){
		this.image = image;
	}
	
	public Image getImage(){
		return this.image;
	}
	
	public void setImagePath(String path){
		this.imagePath = path;
	}
	public String getImagePath(){
		return this.imagePath;
	}
	
	public void ImageToByte(){
		if(this.image == null){
			System.err.println("has not images");
		}else{
			imageWidth = this.image.getWidth(null);
			imageHeight = this.image.getHeight(null);
			this.imagePixel = new int[imageWidth * imageHeight]; // imagePixel
			PixelGrabber grabber = new PixelGrabber(this.image, 0, 0,
					imageWidth, imageHeight, this.imagePixel, 0, imageWidth);
			try {
				grabber.grabPixels();
				this.image = null;
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
	public void ByteToImage(JPanel panel){
		this.image = panel.createImage(new MemoryImageSource(this.imageWidth, 
				this.imageHeight, this.imagePixel, 0, this.imageWidth));
	}

}
