package Handlers;

import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import UI_Panels.PanelPentagon;

public class PentagonListener  implements MouseListener {
	PanelPentagon pentagonPanel;
	public PentagonListener(PanelPentagon pentagonPanel){
		this.pentagonPanel = pentagonPanel;
	}
	public void mouseClicked(MouseEvent e) {
	Point p = e.getPoint();
		for (int i = 0; i < pentagonPanel.vector.size(); i++) {
			if (pentagonPanel.vector.elementAt(i).intersects(p)) {
				System.out.print(pentagonPanel.vector.elementAt(i).getName() + ":");
				pentagonPanel.vector.elementAt(i).setEllipsePosition(e.getPoint());
				System.out.println(pentagonPanel.vector.elementAt(i).getScore(e.getPoint()));
				if(pentagonPanel.vector.elementAt(i).getName().equals("brand")){
					pentagonPanel.UPr.setBrandValue(pentagonPanel.vector.elementAt(i).getScore(e.getPoint()));
				}else if(pentagonPanel.vector.elementAt(i).getName().equals("price")){
					pentagonPanel.UPr.setPriceValue(pentagonPanel.vector.elementAt(i).getScore(e.getPoint()));
				}else if(pentagonPanel.vector.elementAt(i).getName().equals("splendor")){
					pentagonPanel.UPr.setSplendorValue(pentagonPanel.vector.elementAt(i).getScore(e.getPoint()));
				}else if(pentagonPanel.vector.elementAt(i).getName().equals("activity")){
					pentagonPanel.UPr.setActivityValue(pentagonPanel.vector.elementAt(i).getScore(e.getPoint()));
				}else if(pentagonPanel.vector.elementAt(i).getName().equals("colorful")){
					pentagonPanel.UPr.setColorfulValue(pentagonPanel.vector.elementAt(i).getScore(e.getPoint()));
				}
			}
			this.pentagonPanel.UPr.printValues();
		}

		pentagonPanel.repaint();
	}

	public void mouseEntered(MouseEvent arg0) {
	}

	public void mouseExited(MouseEvent arg0) {
	}

	public void mousePressed(MouseEvent arg0) {
	}

	public void mouseReleased(MouseEvent arg0) {
	}
}
