package UI_Panels;


import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class PanelContents extends JPanel implements ActionListener{

	private static final long serialVersionUID = 1L;
	private Runtime rt = Runtime.getRuntime();
	private JLabel lb_title,lb_date;
	private JTextArea textArea;
	private String explorer="C:/Program Files/Internet Explorer/iexplore.exe";
	private JButton bt_link;
	private JScrollPane scroll;
	private String link;
	
	public PanelContents() {
		super();
		
		lb_title = new JLabel("Title : ");
		textArea = new JTextArea();
		lb_date = new JLabel("Date : ");
		bt_link = new JButton("мǴ  ");
		scroll = new JScrollPane(textArea);
		this.sub();
	}
	
	@SuppressWarnings("static-access")
	public void sub() {
		this.setLayout(null);
		this.setBorder(BorderFactory.createEtchedBorder());
	
		lb_title.setBounds(new Rectangle(8,5,250,20));
		this.add(lb_title);
		lb_date.setBounds(new Rectangle(8,100,130,20));
		this.add(lb_date);
		bt_link.setBounds(new Rectangle(129,100,135,20));
		this.add(bt_link);
	
		scroll.setBounds(new Rectangle(5,25,260,70));
		scroll.setHorizontalScrollBarPolicy(scroll.HORIZONTAL_SCROLLBAR_NEVER);
	
		this.add(scroll);
		this.textArea.setEditable(false);
		this.bt_link.addActionListener(this);
		
	}
	
	public void setTitle(String str){
		this.lb_title.setText("Title : "+ (String)str);		
	}
	
	public void setDescription(String str){
		this.textArea.setText("");
		this.textArea.setText(str);
		scroll.getVerticalScrollBar().setValue(2);
		
		this.textArea.setCaretPosition(0);
		this.textArea.requestFocus();
	}
	
	public void setLink(String link){
		this.link = link;
	}

	public void setDate(String date){
		this.lb_date.setText(date);
	}
	
	public void actionPerformed(ActionEvent e) {
		Object o = e.getSource();
		if(o == this.bt_link){
			if(this.link != null && !this.link.equals("")){
				try {
					rt.exec(explorer+" "+this.link);
				} catch (IOException e1) {
					e1.printStackTrace();
				}
			}
		}
	}
}
