package UI_Panels;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;

import javax.swing.BorderFactory;
import javax.swing.JPanel;

public class PanelImage extends JPanel {

	private static final long serialVersionUID = 1L;
	private Image image;
	public PanelImage() {
		super();
	
		this.sub();
	}
	
	void sub() {
		this.setVisible(true);
		this.setPreferredSize(new Dimension(100,140));
		this.setBorder(BorderFactory.createLoweredBevelBorder());
		this.setBackground(Color.DARK_GRAY);
	}
	
	public void setImage(Image image){
		this.image= image;
		this.repaint();
	}
	
	public void paint(Graphics g){
		super.paint(g);
		Graphics2D g2d = (Graphics2D)g;  
		if(this.image != null){
			g2d.drawImage(this.image, 0, 0, 100, 140, this);
		}
	}
}
