package UI_Panels;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import Element.UserInformation;
import UI_Frames.FrameSelection;
import UI_Frames.JoinFrame;






/******************************************** 
 * α  ִ Ŭ
 * ڿ ̵ , йȣ Է¹޾
 * ´ н Ȯϵ  ϰ
 * ´ н ģ  ǥֵ Ѵ. 
 * ******************************************/

public class PanelLogin extends JPanel{

	private static final long serialVersionUID = 1L;
	private TextField tf_idField,tf_pwdField;
	private PanelLoginListener listener;
	private JLabel lb_id,lb_pwd;
	private JButton login,join;
	public JoinFrame joinframe;
	public FrameSelection mainFrame;
	
	public PanelLogin(FrameSelection mainFrame){
		this.mainFrame = mainFrame;
		this.sub();
	}
	
	private void sub(){
		this.setLayout(null);
		this.setSize(new Dimension(250, 623));
		this.lb_id = new JLabel("̵  ");
		this.lb_pwd = new JLabel("йȣ");
		this.tf_idField = new TextField();
		this.tf_pwdField = new TextField();
		this.login = new JButton("α");
		this.join = new JButton("ȸ");
		
		this.lb_id.setBounds(new Rectangle(70,200,60,25));
		this.lb_pwd.setBounds(new Rectangle(70,230,60,25));
		this.tf_idField.setBounds(new Rectangle(130,200,100,25));
		this.tf_pwdField.setBounds(new Rectangle(130,230,100,25));
		this.tf_idField.setBackground(new Color(119,79,90));
		this.tf_pwdField.setBackground(new Color(119,79,90));
		tf_pwdField.setEchoChar('*');
		this.login.setBounds(new Rectangle(55,300,90,30));
		this.join.setBounds(new Rectangle(160,300,90,30));
		
		this.listener = new PanelLoginListener(this);
		this.tf_idField.addActionListener(listener);
		this.tf_pwdField.addActionListener(listener);
		this.join.addActionListener(listener);
		this.login.addActionListener(listener);
		
		this.add(lb_id);
		this.add(lb_pwd);
		this.add(tf_idField);
		this.add(tf_pwdField);
		this.add(login);
		this.add(join);
		
		
		//this.tf_idField.setText("qwe");
		this.tf_pwdField.setText("1111");
		this.tf_idField.requestFocus();
		this.tf_idField.requestFocusInWindow();
		
		
	}
	
	@SuppressWarnings("static-access")
	public void loginDenial(UserInformation user){
		JOptionPane dialog = new JOptionPane();
		dialog.showMessageDialog(this.mainFrame, "̵ Ǵ йȣ ġ ʽϴ","",JOptionPane.ERROR_MESSAGE);
		this.tf_idField.setText("");
		this.tf_pwdField.setText("");
	}
	
	
	
	public class PanelLoginListener implements ActionListener{
		private PanelLogin panel;
		
		public PanelLoginListener(PanelLogin panel){
			this.panel = panel;
		}
		
		public void actionPerformed(ActionEvent e) {
			Object o = e.getSource();
			
			if(o == join){
				joinframe = new JoinFrame(this.panel);
				joinframe.setVisible(true);
			}
			
			if(o == login){
				UserInformation user = new UserInformation();
				user.setUserId(tf_idField.getText());
				user.setUserPWD(tf_pwdField.getText());
				user.setUserIp(panel.mainFrame.ipAddr);
				user.setIsSaved(true);
				this.panel.mainFrame.sendUserInformation(user);
			}
		
			
		}
		
	}
}
