package UI_Panels;

import javax.swing.JPanel;
import java.awt.Dimension;
import java.awt.Rectangle;
import javax.swing.ButtonGroup;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import javax.swing.JButton;
import javax.swing.JToggleButton;

import Handlers.LookListener;
import UI_Frames.FrameSelection;

public class PanelLook extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private LookListener listener;
	

	
	public JToggleButton[] tglButtons = new JToggleButton[10];
	private String[] btnNames={"Military","Sport","Baggi","Nippon","Hiphop","Ohme",
			"Casual","Vintage","Skinee","Dandy"};
	private String[] seasons = {"spring","summer","autumn","winter"};
	private String[] weathers = {"sunny","cloudy","rainy","snowy"};
	
	public JComboBox cb_season = null;
	public JComboBox cb_whether = null;

	public JCheckBox chk_season = null;
	public JCheckBox chk_whether = null;
	
	private JLabel label_display;
	public JCheckBox check_display;

	public JButton bt_send = null;
	private ButtonGroup BG;
	@SuppressWarnings("unused")
	private FrameSelection selectionFrame;

		public PanelLook(FrameSelection selectionFrame) {
		this.selectionFrame = selectionFrame;
		this.setLayout(null);
		//this.setBackground(Color.white);
		label_display = new JLabel("dispaly ");
		label_display.setBounds(new Rectangle(120,25,45,20));
		check_display = new JCheckBox();
		check_display.setBounds(new Rectangle(169,25,25,20));
		check_display.addActionListener(this.selectionFrame.mflistener);
		check_display.setSelected(true);
		for(int i=0;i<10;i++){
			tglButtons[i] = new JToggleButton(btnNames[i]);
			
		}
		tglButtons[0].setBounds(new Rectangle(5, 100, 90, 30));
		tglButtons[1].setBounds(new Rectangle(105, 100, 90, 30));
		tglButtons[2].setBounds(new Rectangle(5, 135, 90, 30));
		tglButtons[3].setBounds(new Rectangle(105, 135, 90, 30));
		tglButtons[4].setBounds(new Rectangle(5, 170, 90, 30));
		tglButtons[5].setBounds(new Rectangle(105, 170, 90, 30));
		tglButtons[6].setBounds(new Rectangle(5, 205, 90, 30));
		tglButtons[7].setBounds(new Rectangle(105, 205, 90, 30));
		tglButtons[8].setBounds(new Rectangle(5, 240, 90, 30));
		tglButtons[9].setBounds(new Rectangle(103, 240, 90, 30));
		BG = new ButtonGroup();
		for(int i=0;i<10;i++){
			BG.add(tglButtons[i]);
			this.add(tglButtons[i]);
			
		}
		this.setSize(new Dimension(199, 321));
		
		this.add(label_display);
		this.add(check_display);
		this.cb_season = getCb_season();
		this.add(this.cb_season, null);
		this.cb_whether = getCb_whether();
		this.add(this.cb_whether, null);
		this.chk_season = getChk_season(); 
		this.add(this.chk_season, null);
		this.chk_whether = getChk_whether(); 
		this.add(chk_whether, null);
		this.add(getBt_send(), null);
		
		
		listener = new LookListener(selectionFrame,this);
		for(int i=0;i<10;i++){
			this.tglButtons[i].addActionListener(listener);
		}
		this.bt_send.addActionListener(listener);
		
		chk_season.addActionListener(this.listener);
		chk_whether.addActionListener(this.listener);
	}


	private JComboBox getCb_season() {
		if (cb_season == null) {
			cb_season = new JComboBox(seasons);
			cb_season.setBounds(new Rectangle(7, 50, 155, 20));
		}
		return cb_season;
	}

	
	private JComboBox getCb_whether() {
		if (cb_whether == null) {
			cb_whether = new JComboBox(weathers);
			cb_whether.setBounds(new Rectangle(7, 75, 155, 20));
			cb_whether.addActionListener(listener);
		}
		return cb_whether;
	}

	
	private JCheckBox getChk_season() {
		if (chk_season == null) {
			chk_season = new JCheckBox();
			chk_season.setBounds(new Rectangle(169, 50, 25, 20));
			chk_season.addActionListener(listener);
		}
		return chk_season;
	}

	
	private JCheckBox getChk_whether() {
		if (chk_whether == null) {
			chk_whether = new JCheckBox();
			chk_whether.setBounds(new Rectangle(169, 75, 25, 20));
			chk_whether.addActionListener(listener);
		}
		return chk_whether;
	}

	
	private JButton getBt_send() {
		if (bt_send == null) {
			bt_send = new JButton("Send");
			bt_send.setBounds(new Rectangle(5, 280, 190, 35));
		}
		return bt_send;
	}



}
