package UI_Panels;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JPanel;

import Element.Product;

public class PanelProduct extends JPanel implements ActionListener{
	
	private static final long serialVersionUID = 1L;
	
	private Product product;
	private PanelImage panelImage;
	private JButton linkButton;
	private String siteAddr = null;
	private Runtime rt = Runtime.getRuntime();
	private String explorer="C:/Program Files/Internet Explorer/iexplore.exe";
	
	public PanelProduct(){
		super();
		
		panelImage = new PanelImage();
		linkButton = new JButton("Ʈ ");
		this.sub();
	}
	
	void sub() {
		this.setVisible(true);
		this.setLayout(null);
		this.setPreferredSize(new Dimension(210,150));
		this.setBackground(Color.DARK_GRAY);
		this.setBorder(BorderFactory.createEtchedBorder());
		linkButton.setBounds(new Rectangle(110,110,100,30));
		linkButton.addActionListener(this);
		panelImage.setBounds(new Rectangle(5,5,100,140));
		this.add(panelImage);
		this.add(linkButton);
	}
	
	public void setProduct(Product p){
		this.product = p;
		this.panelImage.setImage(p.getImage());
		this.siteAddr = p.getSite();
	}		
	
	public Product getProdut(){
		return this.product;
	}

	public void actionPerformed(ActionEvent ae) {
		Object o = ae.getSource();
		if(o == linkButton){
			try {
				rt.exec(explorer+" "+siteAddr);
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		
	}
}