package UI_PopUp;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JPanel;
import Element.Product;


public class PanelImageView extends JPanel{
	private static final long serialVersionUID = 1L;
	private Product product;
	
	public PanelImageView(){
		sub();
	}
	
	public void setProduct(Product product){
		this.product = product;
		this.setToolTipText(product.getFeature());
	}
	
	public int getProductNum(){
		return this.product.getProductNum();
	}
	
	private void sub(){
		this.setPreferredSize(new Dimension(300,300));
	}
	
	public Product getProduct(){
		return this.product;
	}
	
	
	public void paint(Graphics g){
		Graphics2D g2d = (Graphics2D)g;
		super.paint(g);
		if(this.product != null){
			g2d.drawImage(this.product.getImage(), 0, 0, 300, 300, this);
		}
		
	}
	
}
