package UI_PopUp;

import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.util.Vector;

import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import UI_Frames.FrameDisplay;

import Element.Product;
import Element.Recommendation;

public class ViewBottom extends JPanel implements ActionListener{
	private static final long serialVersionUID = 1L;
	private JButton goTo,BkMark;
	private PanelImageView imageView;
	private JTextArea textArea;
	private JScrollPane scroll;
	private String siteAddr=null;
	private String explorer="C:/Program Files/Internet Explorer/iexplore.exe";
	private Runtime rt = Runtime.getRuntime();
	FrameDisplay displayFrame;
	public ViewBottom(FrameDisplay displayFrame){
		this.displayFrame = displayFrame;
		this.sub();
	}
	
	private void sub(){
		this.setBounds(new Rectangle(0,0,380,460));
		this.setOpaque(true);
		this.goTo = new JButton("Ȩ ٷΰ");
		this.BkMark = new JButton("ϸũ");
		this.setLayout(null);
		textArea = new JTextArea();
		textArea.setBounds(new Rectangle(10,320,300,90));
		scroll = new JScrollPane(textArea);
		scroll.setBounds(new Rectangle(10,320,300,90));
		this.imageView = new PanelImageView();
		this.imageView.setBounds(new Rectangle(10,10,300,300));
		this.goTo.setBounds(new Rectangle(250,420,130,30));
		this.BkMark.setBounds(new Rectangle(140,420,100,30));
		this.add(this.imageView);
		this.add(goTo);
		this.add(BkMark);
		this.add(scroll);
		this.textArea.setEditable(false);
		this.BkMark.addActionListener(this);
		this.goTo.addActionListener(this);
	}
	public void setProduct(Product p){
		this.imageView.setProduct(p);
		this.textArea.setText("");
		this.textArea.setText(p.getFeature());
		this.siteAddr = p.getSite();
	}

	@SuppressWarnings("static-access")
	public void actionPerformed(ActionEvent e) {
		Object o = e.getSource();
		if(this.BkMark == o){
			JOptionPane dialog = new JOptionPane();
			int i = dialog.showConfirmDialog(this.displayFrame," Ͻðڽϱ?","",JOptionPane.OK_OPTION,JOptionPane.QUESTION_MESSAGE);
			if(i==JOptionPane.OK_OPTION){
				String id = this.displayFrame.selectionFrame.userInformation.getUserId();
				Recommendation r = new Recommendation(this.imageView.getProductNum(),id);
				this.displayFrame.selectionFrame.st.sendRecommend(r);
				
				Vector<Product> pv = new Vector<Product>();
				pv = this.displayFrame.selectionFrame.panelHistory.getProductList();
				Product p = new Product();
				p = this.imageView.getProduct();
				pv.add(p);
				this.displayFrame.selectionFrame.panelHistory.setProductList(pv);
			}
			//System.out.println("Bottom :" + this.imageView.getProductNum());
			//System.out.println("Bottom :" + this.imageView.getProduct().getFeature());
			
		}
		else if(this.goTo == o){
			try {
				rt.exec(explorer+" "+siteAddr);
			} catch (IOException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
		}
		
	}
}
