package UI_PopUp;


import java.awt.Rectangle;
import javax.swing.JPopupMenu;
import javax.swing.JTabbedPane;

import UI_Frames.FrameDisplay;

import Element.ProductSt;



public class ViewProduct extends JPopupMenu{

	private static final long serialVersionUID = 1L;

	private JTabbedPane jtab;
	private ViewTop viewTop;
	private ViewBottom viewBottom;
	private ViewAcc viewAcc;
	
	FrameDisplay displayFrame;
	
	public ViewProduct(FrameDisplay displayFrame){
		this.displayFrame = displayFrame;
		this.setPopupSize(400, 500);
		this.setLayout(null);
		this.jtab = new JTabbedPane();
		this.viewTop = new ViewTop(displayFrame);
		this.viewBottom = new ViewBottom(displayFrame);
		this.viewAcc = new ViewAcc(displayFrame);
		
		jtab.setOpaque(true);
		jtab.setBounds(new Rectangle(0,0,400,500));	
		jtab.add("Top",viewTop);
		jtab.add("Bottom",viewBottom);
		jtab.add("Accessory",viewAcc);
		this.add(jtab);
		
		
		
	}
	
	
	public void setProductSet(ProductSt ps){
		this.viewTop.setProduct(ps.getTop());
		this.viewBottom.setProduct(ps.getBottom());
		this.viewAcc.setProduct(ps.getAccessary());
	}

}
